Skip to end of metadata
Go to start of metadata

Mac OS X Installer Help

Now LAMS provides an easy to use Mac Installer! (smile) And it works with any intel Mac OS X 10.4.x, 10.5.x and 10.6.x!

There's only one pre-requisite software before you install LAMS on a Mac:

  • You will need to have MySQL 5.1 Server installed before you install LAMS.

Installing MySQL

The good news is that MySQL 5.1 Server also provides an easy to use Mac installer, just make sure you are getting the right one for your Mac version:

Don't know what version of Mac you are using?

Have a look here.

MySQL 5.1 for

Download

10.6 (Snow Leopard)

Download

10.5 (Leopard)

Download

10.4 (Tiger)

Download


No need to register on that page, just click on the "No thanks, just take me to the downloads!"


Once you downloaded the right .dmg file for your Mac, make sure you install:

  1. the MySQL preference pane (MySQL.prefPane)
  2. the MySQL 5.1 server (mysql-5.1.xx-osx10.X-x86.pkg)
  3. and the MySQLStartupItem.pkg

Here it goes an animation on how to install MySQL once you have open the .dmg file:

Installing LAMS

Download the LAMS installer for Mac from the LAMS Downloads page. If you have already install MySQL following the instructions above, just install the LAMS-2.3.4 package and follow the instructions.

After the install, you should be able to see the LAMS 2 Server application (which is installed in you /Applications folder).

Simply by clicking the "Start" button, your LAMS server will start up. Once you want to shut it down, using the LAMS 2 server app, you can stop it too. The application will also tell you if the application is already running.

Problems?

If you experience any problems, let us know in the LAMS Community.

  • No labels